%define name	gkrellm-plugins
%define version	2.2.4
%define release	3mdk

%define gkrellmms_version	2.1.21
%define gkrellweather_version	2.0.6
%define seti_version		0.7.0b
%define gkrellStock_version	0.5.1
%define gkrellShoot_version	0.4.3
%define snmp_version		0.21
%define gkrellmitime_version	1.0
%define volume_version		2.1.9
%define mailwatch_version	2.4.2
%define gkrellmss_version	2.4
%define gkrellmwireless_version	2.0.3
%define radio_version		2.0.4
%define gkrellkam_version	2.0.0
%define fmonitor_version	2.0.3
%define reminder_version	2.0.0
%define gkrellmoon_version	0.6
%define gkleds_version		0.8.0
%define gkrellmbgchg2_version	0.1.2
%define gkrellsun_version	0.10.4
%define gkx86info_version	0.0.2
%define hddtemp_version		0.2-beta
%define timers_version		1.3
%define gkrelltop_version	2.2.6
%define gkrelltop_weird_version	2.2-6
%define gkrellmlaunch_version 0.5

Name:		%{name}
Summary:	Plugins for gkrellm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://gkrellm.net
Source0:	%{name}.tar.bz2
Source1:	http://gkrellm.luon.net/files/gkrellmms-%{gkrellmms_version}.tar.bz2
Source2:	gkrellm-volume-%{volume_version}.tar.bz2
Source3:	gkrellm-mailwatch-%{mailwatch_version}.tar.bz2
Source4:	gkrellmitime-%{gkrellmitime_version}.tar.bz2
Source5:	gkrellstock-%{gkrellStock_version}.tar.bz2
Source6:	http://prdownloads.sourceforge.net/gkrellshoot/gkrellshoot-%{gkrellShoot_version}.tar.bz2
Source7:	gkrellmss-%{gkrellmss_version}.tar.bz2
Source8:	gkrellmwireless-%{gkrellmwireless_version}.tar.bz2
Source9:	gkrellm-radio-%{radio_version}.tar.bz2
Source10:	gkrellkam_%{gkrellkam_version}.tar.bz2
Source11:	gkrellweather-%{gkrellweather_version}.tar.bz2
Source12:	gkrellm-fmonitor-%{fmonitor_version}.tar.bz2
Source13:	gkrellm-reminder-%{reminder_version}.tar.bz2
Source14:	gkrellmoon-%{gkrellmoon_version}.tar.bz2
Source15:	gkrellm_snmp-%{snmp_version}.tar.bz2
Source16:	gkleds-%{gkleds_version}.tar.bz2
Source17:	http://www.bender-suhl.de/stefan/comp/sources/gkrellmbgchg2-%{gkrellmbgchg2_version}.tar.bz2
Source18:	gkrellsun-%{gkrellsun_version}.tar.bz2
Source19:	gkx86info%{gkx86info_version}.tar.bz2
Source20:	seti-%{seti_version}.tar.bz2
Patch2:		seti-%{seti_version}-gkrellm2.patch.bz2
Source21:	gkrellm-hddtemp-%{hddtemp_version}.tar.bz2
Source22:	gkrellm_timers-%{timers_version}.tar.bz2
Source23:	http://psychology.rutgers.edu/~zaimi/html/gkrelltop/gkrelltop_%{gkrelltop_weird_version}.tar.bz2
Source24:	gkrellmlaunch-%{gkrellmlaunch_version}.tar.bz2 

Requires:	gkrellm = %{version}
BuildRequires:	gkrellm-devel = %{version}
BuildRequires:	libgtk+2.0-devel
BuildRequires:	liblirc-devel
BuildRequires:	libfftw-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libesound-devel
# (misc) for 
BuildRequires:  libopenssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * gkrellmms, controls xmms
  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellmitime, displays internet time
  * gkrellmss, sound scope
  * gkrellmwireless, monitors the link quality of a wirless LAN card
  * gkrellm-radio, radio tuner interface
  * gkrellweather, checks and reports weather conditions
  * fmonitor, displays contents of files
  * reminder, a cron-lick scheduler
  * gkleds, plugin which monitors CapsLock, NumLock, ScrollLock
  * gkrellmbgchg, Change your background on a schedule
  * gkrellsun, Sunrise and Sunset display
  * gkx86info, Calculates Mhz/Ghz of processor
  * gkrellmoon, shows the phases of the moon
  * seti, displays information about your seti progress
  * gkrellm-hddtemp, displays temperatures of hard disks
  * gkrellmlaunch, allows one click access to programs

It also includes fetcho, a slim POP3-checking email client that can be used
instead of fetchmail.

%package snmp
Summary:	SNMP plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
BuildRequires:	net-snmp-devel

%description snmp
gkrellm_snmp, SNMP monitor.

%package stock
Summary:	Stock plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}

%description stock
gkrellStock, a stock monitor.

%package shoot
Summary:	Shoot plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	ImageMagick

%description shoot
gkrellShoot, a screen locker and screen capture krell.

%package kam
Summary:	Kam plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	wget

%description kam
gkrellkam, monitor static images such as webcams.

%package mms
Summary:	Xmms plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	xmms
BuildRequires:	xmms-devel
BuildRequires:	gtk+1.2-devel

%description mms
GKrellMMS, allows you to control XMMS from within GKrellM.

%prep
%setup -q -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%setup -q -T -D -c -a 7 -n %{name}
%setup -q -T -D -c -a 8 -n %{name}
%setup -q -T -D -c -a 9 -n %{name}
%setup -q -T -D -c -a 10 -n %{name}
%setup -q -T -D -c -a 11 -n %{name}
%setup -q -T -D -c -a 12 -n %{name}
%setup -q -T -D -c -a 13 -n %{name}
%setup -q -T -D -c -a 14 -n %{name}
%setup -q -T -D -c -a 15 -n %{name}
%setup -q -T -D -c -a 16 -n %{name}
%setup -q -T -D -c -a 17 -n %{name}
%setup -q -T -D -c -a 18 -n %{name}
%setup -q -T -D -c -a 19 -n %{name}
%setup -q -T -D -c -a 20 -n %{name}
%setup -q -T -D -c -a 21 -n %{name}
%setup -q -T -D -c -a 22 -n %{name}
%setup -q -T -D -c -a 23 -n %{name}
%setup -q -T -D -c -a 24 -n %{name}

(cd seti-%{seti_version}
%patch2 -p1 -b .gtk2
)

%build
(cd $RPM_BUILD_DIR/%{name}
# unsupported now?
gcc $RPM_OPT_FLAGS -o fetcho fetcho-pop-2.c
)
(cd gkrellmms
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd gkrellm-volume
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd gkrellm-mailwatch
make 
)
(cd gkrellmitime-%{gkrellmitime_version}
make
)
(cd gkrellStock-%{gkrellStock_version}
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd gkrellShoot-%{gkrellShoot_version}
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd gkrellmss-%{gkrellmss_version}
make 
)
(cd gkrellmwireless
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd gkrellm-radio
make WITH_LIRC=1
)

(cd gkrellkam-%{gkrellkam_version}
make
)
(cd gkleds-%{gkleds_version}
%ifarch x86_64
make X11_LIB="-L/usr/X11R6/lib64 -lX11 -lXtst"
%else
make
%endif
)
(cd gkrellmbgchg2-%{gkrellmbgchg2_version}
make
)
(cd gkrellm-fmonitor-%{fmonitor_version}
make
)
(cd gkrellmoon-%{gkrellmoon_version}
make
)
(cd gkrellm-reminder-%{reminder_version}
make
)
(cd gkrellm_snmp-%{snmp_version}
make netsnmp
)
(cd gkrellm-volume
make
)
(cd gkrellsun-%{gkrellsun_version}/src20
make
)
(cd gkrellweather-%{gkrellweather_version}
make PREFIX=%{_prefix}
)
%ifarch %ix86
(cd gkx86info%{gkx86info_version}
./build
)
%endif
(cd seti-%{seti_version}
make
)
(cd gkrellm-hddtemp-%{hddtemp_version}
make gkrellm2
)
(cd gkrellm_timers-%{timers_version}
make
)
( cd gkrelltop-%{gkrelltop_version}
make clean
make
)
( cd gkrellmlaunch-%{gkrellmlaunch_version}
make
)
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 fetcho $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 gkrellmms/gkrellmms.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm-volume/volume.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm-mailwatch/mailwatch.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellmitime-%{gkrellmitime_version}/gkrellm_itime.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellStock-%{gkrellStock_version}/gkrellstock.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellStock-%{gkrellStock_version}/GetQuote2 $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 gkrellShoot-%{gkrellShoot_version}/gkrellshoot.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellmss-%{gkrellmss_version}/src/gkrellmss.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellmwireless/wireless.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm-radio/radio.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellkam-%{gkrellkam_version}/gkrellkam2.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellweather-%{gkrellweather_version}/gkrellweather.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellweather-%{gkrellweather_version}/GrabWeather $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 gkrellm-fmonitor-%{fmonitor_version}/fmonitor.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
#install -c -s -m 755 gkrellm-fmonitor-%{fmonitor_version}/sensors.tcl $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 gkrellm-reminder-%{reminder_version}/reminder.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm_snmp-%{snmp_version}/gkrellm_snmp.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkleds-%{gkleds_version}/gkleds.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellmbgchg2-%{gkrellmbgchg2_version}/gkrellmbgchg.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellsun-%{gkrellsun_version}/src20/gkrellsun.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
%ifarch %ix86
install -c -s -m 755 gkx86info%{gkx86info_version}/gkx86info.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
%endif
install -c -s -m 755 gkrellmoon-%{gkrellmoon_version}/gkrellmoon.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 seti-%{seti_version}/seti.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm-hddtemp-%{hddtemp_version}/gkrellm-hddtemp.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellm_timers-%{timers_version}/gkrellm_timers.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrelltop-%{gkrelltop_version}/gkrelltop{,d}.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 gkrellmlaunch-%{gkrellmlaunch_version}/gkrellmlaunch.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

# setup various docs
mkdir -p doc/gkleds
cp gkleds-%{gkleds_version}/{COPYING,Changelog,License,README,TODO,Themes} doc/gkleds
mkdir -p doc/gkrellm-fmonitor
cp gkrellm-fmonitor-%{fmonitor_version}/README doc/gkrellm-fmonitor
mkdir -p doc/gkrellm-hddtemp
cp gkrellm-hddtemp-%{hddtemp_version}/{COPYING,README} doc/gkrellm-hddtemp
mkdir -p doc/gkrellm-mailwatch
cp gkrellm-mailwatch/{Changelog,README} doc/gkrellm-mailwatch
mkdir -p doc/gkrellm-radio
cp gkrellm-radio/{CHANGES,README,lirc.example} doc/gkrellm-radio
mkdir -p doc/gkrellm-reminder
cp gkrellm-reminder-%{reminder_version}/{COPYING,ChangeLog,INSTALL,README} doc/gkrellm-reminder
mkdir -p doc/gkrellm-volume
cp gkrellm-volume/{COPYRIGHT,Changelog,README,THEMING} doc/gkrellm-volume
mkdir -p doc/timers
cp gkrellm_timers-%{timers_version}/{ChangeLog,README,TODO} doc/timers
mkdir -p doc/gkrellmbgchg2
cp gkrellmbgchg2-%{gkrellmbgchg2_version}/{ChangeLog,README,TODO} doc/gkrellmbgchg2
mkdir -p doc/gkrellmitime
cp gkrellmitime-%{gkrellmitime_version}/{COPYING,ChangeLog,README} doc/gkrellmitime
mkdir -p doc/gkrellmlaunch
cp gkrellmlaunch-%{gkrellmlaunch_version}/{CHANGELOG,COPYING,LICENSE,README} doc/gkrellmlaunch
mkdir -p doc/gkrellmoon
cp gkrellmoon-%{gkrellmoon_version}/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README} doc/gkrellmoon
mkdir -p doc/gkrellmss
cp gkrellmss-%{gkrellmss_version}/{COPYRIGHT,Changelog,INSTALL,README,Themes} doc/gkrellmss
mkdir -p doc/gkrellmwireless
cp gkrellmwireless/{Changelog,README} doc/gkrellmwireless
mkdir -p doc/gkrellsun
cp gkrellsun-%{gkrellsun_version}/{AUTHORS,COPYING,INSTALL,README} doc/gkrellsun
mkdir -p doc/gkrelltop
cp gkrelltop-%{gkrelltop_version}/README doc/gkrelltop
mkdir -p doc/gkrellweather
cp gkrellweather-%{gkrellweather_version}/{COPYING,ChangeLog,README} doc/gkrellweather
%ifarch %ix86
mkdir -p doc/gkx86info
cp gkx86info%{gkx86info_version}/{CHANGES,COPYING,README} doc/gkx86info
%endif 
mkdir -p doc/seti
cp seti-%{seti_version}/{AUTHORS,BUGS,COPYING,ChangeLog,INSTALL,INSTALL.gtk2,LICENSE,NEWS,README,README-pcpu,TODO} doc/seti

# fix some perms
chmod 644 doc/gkrellmoon/*
chmod 644 doc/gkleds/*
chmod 644 doc/gkrelltop/*

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc doc/*
%{_libdir}/gkrellm2/plugins/*
%exclude %{_libdir}/gkrellm2/plugins/gkrellm_snmp.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellstock.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellshoot.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellkam2.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellmms.so
%{_bindir}/fetcho 
%{_bindir}/GrabWeather
#%{_bindir}/sensors.tcl

%files snmp
%defattr(-,root,root)
%doc gkrellm_snmp-%{snmp_version}/ChangeLog
%doc gkrellm_snmp-%{snmp_version}/FAQ
%doc gkrellm_snmp-%{snmp_version}/README
%doc gkrellm_snmp-%{snmp_version}/TODO
%{_libdir}/gkrellm2/plugins/gkrellm_snmp.so

%files stock
%defattr(-,root,root)
%doc gkrellStock-%{gkrellStock_version}/COPYING
%doc gkrellStock-%{gkrellStock_version}/ChangeLog
%doc gkrellStock-%{gkrellStock_version}/README
%{_libdir}/gkrellm2/plugins/gkrellstock.so
%{_bindir}/GetQuote2

%files shoot
%defattr(-,root,root)
%doc gkrellShoot-%{gkrellShoot_version}/ChangeLog
%doc gkrellShoot-%{gkrellShoot_version}/README
%{_libdir}/gkrellm2/plugins/gkrellshoot.so

%files kam
%defattr(-,root,root)
%doc gkrellkam-%{gkrellkam_version}/README
%doc gkrellkam-%{gkrellkam_version}/COPYING
%doc gkrellkam-%{gkrellkam_version}/Changelog
%doc gkrellkam-%{gkrellkam_version}/INSTALL
%doc gkrellkam-%{gkrellkam_version}/Release
%doc gkrellkam-%{gkrellkam_version}/Todo
%doc gkrellkam-%{gkrellkam_version}/example.list
%{_libdir}/gkrellm2/plugins/gkrellkam2.so

%files mms
%defattr(-,root,root)
%doc gkrellmms/README
%doc gkrellmms/FAQ
%doc gkrellmms/Changelog
%doc gkrellmms/Themes
%{_libdir}/gkrellm2/plugins/gkrellmms.so

%changelog
* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.4-3mdk 
- GkrellMBgChg2 0.1.2
- gkrelltop 2.2.6
- GKrellShoot 0.4.2
- GKrellMMS 2.1.21

* Sat Jan 08 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.4-2mdk
- buildrequires gtk+1.2-devel for gkrellmms (altough xmms-devel should maybe requires it instead?) 
- fix x86_64 build

* Tue Nov 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.4-1mdk 
- new version

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.2-1mdk
- new version

* Fri Jun 11 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- new version

* Sat May 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.28-3mdk
- gkrellmms 2.1.19

* Fri Apr 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.28-2mdk
- gkrellmbgchg2 0.1.0
- gkrellmms 2.1.17

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.28-1mdk
- rebuild against gkrellm 2.1.28

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.25-2mdk
- gkrellm-mss -> 2.4
- gkrellm-mms -> 2.1.14
- gkrellm-sun -> 0.10.4
- drop patch 3, use PREFIX instead

* Fri Jan 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.25-1mdk
- rebuild against gkrellm 2.1.25
- timers 1.3

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.24-3mdk
- gkrellm_snmp 0.21
- drop patches 1 and 4

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.24-2mdk
- build gkrellm_snmp againsnt libnet-smp (Luca Berra <bluca@comedia.it>)
- fix gkrellmitime build

* Sun Dec 28 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.24-1mdk
- rebuild against gkrellm 2.1.24

* Thu Dec 18 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.22-1mdk
- rebuild against gkrellm 2.1.22

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 2.1.21-2mdk
- patch for gkrellmweather path problem
- gkrellm-mms -> 2.1.13
- gkrellm-wireless -> 2.0.3
- gkrellm-mms subpackage
- included missing doc files
- spec cleanup

* Tue Nov 18 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.21-1mdk
- rebuild against gkrellm 2.1.21
- gkrellm-radio -> 2.0.4
- gkrellm-volume -> 2.1.9
- gkrellm-fmonitor -> 2.0.3
- gkrellmbgchg -> 2.0.8
- fixed buildrequires

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 2.1.16-2mdk
- BuildRequires libopenssl-devel, for snmp plugin

* Sat Aug 23 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.16-1mdk
- rebuild against gkrellm 2.1.16

* Sat Aug 09 2003 Michael Scherer <scherer.michael@free.fr> 2.1.15-2mdk
- + gkrellmlaunch ( 0.5 )
 
* Thu Aug 07 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.15-1mdk
- rebuild against gkrellm 2.1.15
- no buildrequires libgtk1.2-devel

* Mon Jun 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.14-1mdk
- rebuild against gkrellm 2.1.14
- gkrellweather -> 2.0.6
- gkrellstock -> 0.5.1
- gkrellm-volume -> 2.1.8
- gkrellmms -> 2.1.12
- gkrellm-mailwatch -> 2.4.2
- gkrelltop -> 2.2
- used macros for specific plugins versions

* Thu Jun 19 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.12-2mdk
- split up some subpackages to leverage depndencies
- spec cleanup

* Tue Jun 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.12-1mdk
- rebuild against gkrellm 2.1.12

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-4mdk
- buildrequires (stefan spam ;)
- distlint error

* Sat Apr 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-3mdk
- gkrellmms -> 2.1.9
- gkrellm-mailwatch -> 2.3.1
- gkrellm-radio -> 2.0.3
- + gkrellm_timers (1.2)
- + gkrelltop (2.1)

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-2mdk
- %%ix86 sucks, gkx86info does not exist on ppc/alpha/sparc

* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7a-1mdk
- rebuild against gkrellm 2.1.7a

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.1.5-2mdk
- changes from Ben Reser:
  - Lots of new goodies:
    gkrellweather 2.0.5
    fmonitor 2.0.2
    reminder 2.0.0
    gkrellm_snmp 0.18 (patched for gkrellm2)
    gkleds 0.8.0
    bkrellmbgchg2 0.0.4
    gkrellsun 0.9.1
    gkx86info 0.0.2
    gkrellmoon 0.6
  - Removed uneeded ppc pmud requires since there is
    no pmud plugin for gkrellm2 :(
  - Updated gkrellmss to 2.3 and re-enabled it now that fftw is
    in contrib
  - Updated gkrellmvolume & gkrellmms to 2.1.7
  - Cleanup so package no longer uses /usr/X11R6

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Recompiled against gkrellm 2.1.5
- Remove old prefix, since main package don't use it anymore
- gkrellmms 2.1.6
- gkrellm-volume 2.1.6
- gkrellm-mailwatch 2.1
- gkrellmss 2.3
- gkrellmwireless 2.0.2
- gkrellm-radio 2.0.2

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Add gkrellkam2 2.0.0
- Fix build for gkrellmitime
- Remove obsolete build lines for gkrellm-gnome
- Fix dependencies

* Wed Oct 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.0.4-1mdk
- gkrellm-volume 2.1.4
- gkrellmms 2.1.2
- gkrellm-mailwatch 2.0
- gkrellmwireless 2.0.0
- gkrellm-radio 2.0.1
- gkrellmitime 1.0
- gkrellstock 0.5
- gkrellshoot 0.4.1
- gkrellmss 2.0 (disabled currently)
- remove all 1.x plugins not ported to 2.x

* Thu Oct 03 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.13-2mdk
- gkleds 0.6.1

* Sat Aug 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.13-1mdk
- rebuild for 1.2.13
- gkrellkam-0.3.4
- gkrellm-radio-0.3.3
- Requires: wget (for gkrellkam)
- more macros
- BuildRequires: liblirc-devel

* Mon May 06 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.11-1mdk
- rebuild for 1.2.11
- gkrellmms 0.5.6
- new gktaskman-0.0.7
- new gkrelmwireless-0.2.2

* Thu Jan 31 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.8-1mdk
- rebuild for 1.2.8
- Requires: gnome-libs-devel
- Requires: s/ucd-snmp-devel/libsnmp-devel/

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- rebuild for 1.2.4 by Ryan T. Sammartino <ryants@shaw.ca>

* Sun Sep 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.2.2-1mdk
- rebuild for 1.2.2
- need to define IMLIB_INCLUDE and GTK_INCLUDE in spec so can use
  optimization for all krells
- updated mailwatch to 0.7
- lots of new goodies:
  - fmonitor 0.3
  - gkrellmitime 0.4
  - gkrellscore 0.0.2
  - glogwatch 1.0
  - gkrellstock 0.2 
  - gkrellshoot 0.2
  - gkrinn 0.5-1
  - gkrellmwho 0.4
  - reminder 0.3.1
  - gkrellmoon 0.3
  - gkrellm_snmp 0.18
  - gkrellmss 0.2

* Wed Aug  9 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-1mdk
- rebuild for 1.2.1 - move plugins to /usr/lib/gkrellm per FHS
- add gkrellm-pmu, gkrellm-gnome (marc heckmann)

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- rebuild for 1.0.8
- updated plugins

* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- rebuild for 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- rebuild for 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- rebuild for 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- rebuild for 1.0.4
- plugin_fan compiles again so it's back in

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- rebuild for 1.0.3
- remove the plugin_fan plugin...  doesn't look like it's supported anymore
  and it won't build anymore either

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- build for 1.0.2
- rename primary sourcefile so it has no version (silly to keep changing
  it for every new version since the plugins don't change)

* Fri Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- build for 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- build for 1.0.0

* Mon Aug  7 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- build for 0.10.5
- added stricter version checking for dependencies

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- new package for gkrellm plugins
- gkrellmms 0.5.4
- add gkrellweather 0.2.3
- add volume 0.6
- add mailwatch 0.2
- added slim fetcho email fetching client
- remove seti@home since it never compiles properly
